xchat non si avvia

Home Page Forum sviluppo xchat non si avvia

Visualizzazione 7 filoni di risposte
  • Autore
    Articoli
    • #32306
      sacarde
      Partecipante

      ciao,
      dopo aver installato xchat, quando lo avvio ho:

      xchat
      Could not find platform independent libraries <prefix>
      Could not find platform dependent libraries <exec_prefix>
      Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
      ImportError: No module named site

      p.s.
      da milestone4

    • #32308
      nitrotnt
      Moderatore

      Ciao
      leggendo in giro sembra un problema di un installazione non corretta di python oppure che il setting non e corretto.
      Tra i suggerimenti ho trovato questo comando per un test:
      PYTHONHOME=<path> <program-to-run>

      e questo per il settaggio

      export PYTHONHOME=<path>

      Magari attendi anche altri consigli..non vorrei farti commettere errori irreversibili 😉

    • #32310
      sacarde
      Partecipante

      ma a te funziona?

    • #32318
      nitrotnt
      Moderatore

      Scusa ho potuto testarlo solo oggi, ti confermo che si, mi funziona correttamente.
      Ciao

    • #32320
      sacarde
      Partecipante

      – vedi valorizzata la variabile PYTHONHOME ?

      – mmm forse mi manca qualche dipendenza consigliata ?!

    • #32321
      sacarde
      Partecipante

      che vedi tu dal comando:

      rpm -qa | grep python

      python-rdflib-4.2.2-1mamba.x86_64
      python-xdg-0.25-3mamba.x86_64
      python-netifaces-0.10.4-1mamba.x86_64
      python-xml-0.8.4-5mamba.x86_64
      libpython27-2.7.9-1mamba.x86_64
      python-numpy-1.11.2-1mamba.x86_64
      python-dbus-1.2.4-1mamba.x86_64
      python-rpm-5.2.1-30mamba.x86_64
      python-libproxy-0.4.13-1mamba.x86_64
      python-pexpect-4.2.1-1mamba.x86_64
      python-elementtree-1.2.6-3mamba.x86_64
      python27-2.7.9-1mamba.x86_64
      python-sip-4.16.4-1mamba.x86_64
      python-isodate-0.5.4-1mamba.x86_64
      python-avahi-0.6.32-1mamba.x86_64

      grazie

      • Questa risposta è stata modificata 4 anni, 4 mesi fa da sacarde.
    • #32323
      ercolinux
      Moderatore

      Ti confermo che anche a me funziona, su 2 diversi computer.
      Su quello che ho sottomano i pacchetti python installati sono

      
      python-sqlite3dbm-0.1.4-1mamba.x86_64
      python-cssselect-1.0.1-1mamba.x86_64
      libpython27-2.7.9-1mamba.i586
      libpython27-2.7.9-1mamba.x86_64
      python-pip-py3-9.0.1-1mamba.x86_64
      python-requests-py3-2.13.0-1mamba.x86_64
      libpython27-devel-2.7.9-1mamba.x86_64
      python-elementtree-1.2.6-3mamba.x86_64
      python-boost-1.59.0-3mamba.x86_64
      python-boost158-1.58.0-3mamba.x86_64
      python-boost155-1.55.0-3mamba.x86_64
      python3-boost-1.59.0-3mamba.x86_64
      libpython3-3.3.5-1mamba.i586
      python-cssutils-1.0.2-1mamba.x86_64
      python-virtualenv-15.1.0-1mamba.noarch
      python-Pillow-3.4.2-1mamba.x86_64
      python-glib-2.50.0-1mamba.x86_64
      python-netifaces-0.10.4-1mamba.x86_64
      python-logilab-common-1.4.0-1mamba.noarch
      python-plasma-scriptengine-4.11.22-5mamba.x86_64
      python-libproxy-0.4.13-1mamba.x86_64
      python-avahi-0.6.32-1mamba.x86_64
      python-pycparser-2.17-1mamba.x86_64
      python-cffi-1.10.0-1mamba.x86_64
      python-pip-9.0.1-1mamba.x86_64
      python-logilab-astng-0.24.3-2mamba.noarch
      python-xdg-0.25-3mamba.x86_64
      libpython3-devel-3.3.5-1mamba.x86_64
      python-pynotify-0.1.1-3mamba.x86_64
      python-pexpect-4.2.1-1mamba.x86_64
      python3-3.3.5-1mamba.x86_64
      python-isodate-0.5.4-1mamba.x86_64
      python-dbus-1.2.4-1mamba.x86_64
      python-dateutil-2.6.0-1mamba.x86_64
      python-six-1.10.0-1mamba.noarch
      python-dbus-py3-1.2.4-1mamba.x86_64
      python-cups-1.9.68-1mamba.x86_64
      python-pyside-1.2.2-1mamba.x86_64
      python-sip-4.16.4-1mamba.x86_64
      python-serial-3.1.1-1mamba.noarch
      python-xml-0.8.4-5mamba.x86_64
      python-boost157-1.57.0-5mamba.x86_64
      python-cffi-py3-1.10.0-1mamba.x86_64
      python-setuptools-30.4.0-1mamba.noarch
      python-argparse-1.1-2mamba.x86_64
      python-rpm-5.2.1-30mamba.x86_64
      python-mechanize-0.2.5-2mamba.x86_64
      python-cups-py3-1.9.68-1mamba.x86_64
      python-apsw-3.13.0_r1-1mamba.x86_64
      libpython3-3.3.5-1mamba.x86_64
      python-numpy-py3-1.11.2-1mamba.x86_64
      python-setuptools-py3-30.4.0-1mamba.noarch
      python-pysqlite-2.5.1-2mamba.x86_64
      python-smbc-1.0.13-2mamba.x86_64
      python-rdflib-4.2.2-1mamba.x86_64
      python-numpy-1.11.2-1mamba.x86_64
      python-apipkg-1.4-1mamba.noarch
      libpython26-2.6.9-1mamba.x86_64
      python27-2.7.9-1mamba.x86_64
      python-lxml-3.7.3-1mamba.x86_64
      
    • #32359
      sacarde
      Partecipante

      ho aggirato il problema installando hexchat al posto di xchat

Visualizzazione 7 filoni di risposte
  • Devi aver eseguito l’accesso per poter rispondere a questa discussione.